#ifndef FBO_H_
#define FBO_H_

#include <GLFW/glfw3.h>

class FBO {
    public:
        FBO();
        ~FBO();

        GLuint fbo_id_;
        GLuint color_texture_id_;
        GLuint depth_rbo_id_;

        void Init(int width, int height);
        void Bind();
        void Unbind();
        void Cleanup();
        GLuint GetColorTexture() const;
};

#endif // FBO_H_